bq_consumer_listener Struct Reference

## Data Fields

void(* | connected )(void *data, struct bq_consumer *bq_consumer)
void(* | disconnected )(void *data, struct bq_consumer *bq_consumer)
void(* | buffer_attached )(void *data, struct bq_consumer *bq_consumer, struct bq_buffer *buffer, const char *engine, int32_t width, int32_t height, int32_t format, uint32_t flags)
void(* | set_buffer_id )(void *data, struct bq_consumer *bq_consumer, struct bq_buffer *buffer, int32_t id, int32_t offset0, int32_t stride0, int32_t offset1, int32_t stride1, int32_t offset2, int32_t stride2)
void(* | set_buffer_fd )(void *data, struct bq_consumer *bq_consumer, struct bq_buffer *buffer, int32_t fd, int32_t offset0, int32_t stride0, int32_t offset1, int32_t stride1, int32_t offset2, int32_t stride2)
void(* | buffer_detached )(void *data, struct bq_consumer *bq_consumer, struct bq_buffer *buffer)
void(* | add_buffer )(void *data, struct bq_consumer *bq_consumer, struct bq_buffer *buffer, uint32_t serial)